import java.awt.* ;
import javax.swing.* ;
import java.awt.event.* ;

public class SwingApplet extends JApplet 
		implements ActionListener, WindowListener {

/*
 * Visuelle komponenter
 */
JTextField indtast;
JLabel indtastLabel;
JButton knap;
JLabel etiket;
JPanel pane;
/*
 * Den interne taeller
 */
int taeller =0;

//
// Metoden init() kaldes umiddelbart efter, at SwingApplet er initaliseret
//
	public void init () {
	/*
	 * Opbygger billedet
	 *
	 * Etiketten fr indtastningsfelt
         */
        indtastLabel = new JLabel("Indtast:");
	indtastLabel.setBounds(10,20,65,25);
	indtastLabel.setHorizontalAlignment(SwingConstants.RIGHT);
        /*
         * Indtastningsfelt
         */
        indtast = new JTextField();
        indtast.setToolTipText("Indtast et eller andet og tryk p knap");
        indtast.setBounds(85, 19, 321, 27);
        /*
	 * Knap-objektet oprettes og udpeges af variablen knap
	 */
        knap = new JButton();
	knap.setText("Tryk mig!");
	knap.setBounds(128, 85, 171, 26);
	knap.setToolTipText("S tryk da for pokker - Kan det g galt?");
	/*
	 * Alle komponentaktiveringer p knappen skal til dette objekt (this)
	 */
	knap.addActionListener(this);
	knap.setMnemonic('T'); // ALT-T er genvejstast

	/*
	 * Etikette-objekter oprettes og udpeges af variablen etiket
	 */
        etiket = new JLabel("Tryk nr. 0: (Du har ikke trykket endnu)");
	etiket.setToolTipText("Hmm ");
	etiket.setBounds(7, 156, 416, 24);


	/*
	 * Der oprettes et srligt "panel" til at holde knapperne i
	 * pane peger alts p et container-komponent af typen JPanel
	 */
        pane = new JPanel();
        /*
	 * Med - og uden layoutmanager
	 */
//	pane.setLayout(new GridLayout());
	pane.setLayout(null);
	/*
	 * Tilfj knapperne til pane-objektet
	 */
	pane.add(indtastLabel);
	pane.add(indtast);
        pane.add(knap);
        pane.add(etiket);

	/*
	 * Tilfje pane-objektet til ContentPane i SwingApplet-objektet
	 */
        getContentPane().add(pane, BorderLayout.CENTER);
	}

//
// For at reageret p et "tryk" p knappen, skal vi implementere (overskrive) metoden
// actionPerformed i interfaced ActionListener
// 
	public void actionPerformed(ActionEvent e) {
		// behandling af hndelsen e som KUN kan komme
                // fra knap-komponenten
		taeller = taeller + 1;    // tael taeller op
		etiket.setText("Tryk nr. " + taeller + " : "+ indtast.getText());
		// opdater teksten i etiketten
	}
//
// Den specielle main-metode, der skulle gre det muligt at kre Applet som 
// Application
//
	public static void main (String arg[]) {
		// Opret applet-object
		SwingApplet applet = new SwingApplet();
		// Opret Frame-objekt
		JFrame frame = new JFrame("PseudoApplet");
		// add applet to frame, st strrelse og vis den
		frame.getContentPane().add(applet);
		frame.setSize(426,240);
		frame.show();

		// st gang i applet
		applet.init();
		applet.start();
		applet.validate(); // Sikrer, at den altid kommer frem
	}

	// Hvis man vil gre det fuldent, implementerer man WindowListener
	// det krver flgende metoder. Nr de er tomme, sker der ikke noget.
	// Se nrmere om WindowListener i dokumentation eller i eksempelfilen
	// LoginApplet.java-1.1

	public void windowActivated(WindowEvent e) {
	}
	public void windowClosed(WindowEvent e) {
	}
	public void windowClosing(WindowEvent e) {
 		System.exit(0); // lukker en applikation pnt ned
	}
	public void windowDeactivated(WindowEvent e) {
	}
	public void windowDeiconified(WindowEvent e) {
	}
	public void windowIconified(WindowEvent e) {
	}
	public void windowOpened(WindowEvent e) {
	}
}
